Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_sal.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_sal.F90	(revision 8530)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_sal.F90	(revision 8531)
@@ -27,13 +27,12 @@
    PRIVATE
 
-   PUBLIC   ice_thd_sal        ! called by icethd module
+   PUBLIC   ice_thd_sal        ! called by icethd
    PUBLIC   ice_thd_sal_init   ! called by ice_init
    
-   ! ** namelist (namsal) **
-   LOGICAL  ::   ln_icedS         ! activate gravity drainage and flushing (T) or not (F)
-   REAL(wp) ::   rn_sal_gd        !    restoring salinity for gravity drainage [PSU]
-   REAL(wp) ::   rn_time_gd       !    restoring time constant for gravity drainage (= 20 days) [s]
-   REAL(wp) ::   rn_sal_fl        !    restoring salinity for flushing [PSU]
-   REAL(wp) ::   rn_time_fl       !    restoring time constant for gravity drainage (= 10 days) [s]
+   ! ** namelist (namthd_sal) **
+   REAL(wp) ::   rn_sal_gd        ! restoring salinity for gravity drainage [PSU]
+   REAL(wp) ::   rn_time_gd       ! restoring time constant for gravity drainage (= 20 days) [s]
+   REAL(wp) ::   rn_sal_fl        ! restoring salinity for flushing [PSU]
+   REAL(wp) ::   rn_time_fl       ! restoring time constant for gravity drainage (= 10 days) [s]
 
    !!----------------------------------------------------------------------
@@ -44,5 +43,5 @@
 CONTAINS
 
-   SUBROUTINE ice_thd_sal
+   SUBROUTINE ice_thd_sal( ld_sal )
       !!-------------------------------------------------------------------
       !!                ***  ROUTINE ice_thd_sal  ***    
@@ -55,4 +54,5 @@
       !!               -> nn_icesal = 3 -> Sice = S(z)   [multiyear ice]
       !!---------------------------------------------------------------------
+      LOGICAL, INTENT(in) ::   ld_sal            ! gravity drainage and flushing or not 
       INTEGER  ::   ji, jk                       ! dummy loop indices 
       REAL(wp) ::   iflush, igravdr              ! local scalars
@@ -78,5 +78,5 @@
             sm_i_1d(ji) = sm_i_1d(ji) + zsm_i_bg + zsm_i_si
 
-            IF( ln_icedS ) THEN
+            IF( ld_sal ) THEN
                !---------------------------------------------------------
                !  Update ice salinity from brine drainage and flushing
@@ -114,23 +114,23 @@
       !! ** Purpose :   initialization of ice salinity parameters
       !!
-      !! ** Method  :   Read the namice_sal namelist and check the parameter
-      !!              values called at the first timestep (nit000)
+      !! ** Method  :   Read the namthd_sal namelist and check the parameter
+      !!                values called at the first timestep (nit000)
       !!
-      !! ** input   :   Namelist namice_sal
+      !! ** input   :   Namelist namthd_sal
       !!-------------------------------------------------------------------
       INTEGER  ::   ios                 ! Local integer output status for namelist read
       !!
-      NAMELIST/namice_sal/ ln_icedS , nn_icesal , rn_icesal, rn_sal_gd, rn_time_gd,   &
+      NAMELIST/namthd_sal/ nn_icesal, rn_icesal, rn_sal_gd, rn_time_gd,   &
          &                 rn_sal_fl, rn_time_fl, rn_simax , rn_simin 
       !!-------------------------------------------------------------------
       !
-      REWIND( numnam_ice_ref )              ! Namelist namice_sal in reference namelist : Ice salinity
-      READ  ( numnam_ice_ref, namice_sal, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_sal in reference namelist', lwp )
+      REWIND( numnam_ice_ref )              ! Namelist namthd_sal in reference namelist : Ice salinity
+      READ  ( numnam_ice_ref, namthd_sal, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namthd_sal in reference namelist', lwp )
       !
-      REWIND( numnam_ice_cfg )              ! Namelist namice_sal in configuration namelist : Ice salinity
-      READ  ( numnam_ice_cfg, namice_sal, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_sal in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namice_sal )
+      REWIND( numnam_ice_cfg )              ! Namelist namthd_sal in configuration namelist : Ice salinity
+      READ  ( numnam_ice_cfg, namthd_sal, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namthd_sal in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namthd_sal )
       !
       IF(lwp) THEN                           ! control print
@@ -138,6 +138,5 @@
          WRITE(numout,*) 'ice_thd_sal_init : Ice parameters for salinity '
          WRITE(numout,*) '~~~~~~~~~~~~~~~~'
-         WRITE(numout,*) '   Namelist namice_sal'
-         WRITE(numout,*) '      activate gravity drainage and flushing (T) or not (F)   ln_icedS   = ', ln_icedS
+         WRITE(numout,*) '   Namelist namthd_sal:'
          WRITE(numout,*) '      switch for salinity                                     nn_icesal  = ', nn_icesal
          WRITE(numout,*) '      bulk salinity value if nn_icesal = 1                    rn_icesal  = ', rn_icesal
@@ -148,9 +147,4 @@
          WRITE(numout,*) '      Maximum tolerated ice salinity                          rn_simax   = ', rn_simax
          WRITE(numout,*) '      Minimum tolerated ice salinity                          rn_simin   = ', rn_simin
-      ENDIF
-      !
-      IF( ln_icedS .AND. nn_icesal == 1 ) THEN
-         ln_icedS = .FALSE.
-         CALL ctl_warn('ln_icedS is set to false since constant ice salinity is chosen (nn_icesal=1)')
       ENDIF
       !
